Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

HTC Hero with Android 2.1 fails to meet minimum requirements

more options

System requirements states android 2.0+ needed. My Orange HTC Hero is upgraded to 2.1-update1

Firefox installs but won't run;

"This device does not meet the minimum system requirments for Firefox"

All Replies (1)

more options

For full system requirements, and an experimental version for phones with ARMv6 processors like the Hero, see: https://wiki.mozilla.org/Mobile/Platforms/Android